function[Si]=calculSit(uit,cst,lag);
%This routine is used in the computation of the asymptotic variance of ai,
%bi, and vai (entire period and last subperiod)

s=zeros(lag+1,1);
s(1,1)=cst*sum(uit.^2);
for i=1:lag,
    u1=uit(1+i:end,1);
    u2=uit(1:end-i,1);
    s(i+1,1)=cst*2*(1-(i/(lag+1)))*sum(u1.*u2);
end
Si=sum(s,1);