function[Y,TNAS,TNA1S,TNA,TNA1,F,rf,n,T]=simuldata(TNAb,F)
rng(1); 
n=size(TNAb,2);
T=size(TNAb,1);
amean=0.0025;
astd=0.0034;
bmean=0.0015/100;
bstd=0.0042/100;
ar=normrnd(amean,astd,n,1);
br=normrnd(bmean,bstd,n,1);
rhoc=0.90;
stdresf=0.0167;

%parameter size (same for all funds)
mtot=zeros(n,2);
for i=1:n,
    index=find(TNAb(:,i)~=-999);
    tnaf=TNAb(index,i);
    ltnaf=log(tnaf);
    mtot(:,1)=mean(ltnaf);
    mtot(:,2)=var(ltnaf);
end
m=median(mtot);
m1=m(1,1);
m2=sqrt(m(1,2));

TNA=zeros(T+1,n);
Y=zeros(T,n);
for i=1:n,
    intercept=m1*(1-rhoc);
    stdreslf=sqrt(m2^2*(1-rhoc^2));
    reslf=normrnd(0,stdreslf,T,1);
    resf=normrnd(0,stdresf,T,1);
    ll=normrnd(m1,m2,1,1);
    TNA(1,i)=exp(ll);
    for t=1:T,
        Y(t,i)=ar(i,1)-br(i,1)*exp(ll)+resf(t,1);
        ll=intercept+rhoc*ll+reslf(t,1);
        TNA(t+1,i)=exp(ll);
    end
end


%residual matrix
TNA1=-999*ones(T,n);
for i=1:n,
    ty=TNA(2:end,i);
    tx=TNA(1:end-1,i);
    Xsel=[ones(T,1),tx];
    [beta]=regress(ty,Xsel);
    beta2=beta(2,1);
    beta2c=beta2+(1+3*beta2)/T+3*(1+3*beta2)/T^2;
    if beta2c>1,
       beta2c=max(beta2,0.999);
     end
    beta1c=(1-beta2c)*mean(tx);
    res0=ty-Xsel*[beta1c;beta2c];
    [beta,s1,res]=regress(res0,F);
    TNA1(:,i)=res;
end
%on standardise
TNA=TNA(1:end-1,:);
TNAS=TNA;
TNA1S=TNA1;
for i=1:n,
    m2=std(TNA(:,i));
    TNAS(:,i)=TNA(:,i)./(ones(T,1)*m2);
    m2=std(TNA1(:,i));
    TNA1S(:,i)=TNA1(:,i)./(ones(T,1)*m2);
end
rf=zeros(T,1);
cui=1;
    
    


    
    
    
