function[alphav,Sv]=trim(alphav,Sv,thres);
%This routine is used in the standardization based on the median and the interquantile range at 10-90

nbobs=size(alphav,1);
z2=0.9;
z1=0.1;
qa=quantile(alphav,z2)-quantile(alphav,z1);
qs=quantile(Sv,z2)-quantile(Sv,z1);
alphas=(alphav-median(alphav)*ones(nbobs,1))./qa;
Ss=(Sv-median(Sv)*ones(nbobs,1))./qs;

index=find(abs(alphas)<thres & (Ss)<thres);
alphav=alphav(index,1);
Sv=Sv(index,1);